Bug 575493 (perl-Hash-MultiValue) - Review Request: perl-Hash-MultiValue - Store multiple values per key
Summary: Review Request: perl-Hash-MultiValue - Store multiple values per key
Status: CLOSED NEXTRELEASE
Alias: perl-Hash-MultiValue
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Hash-Mult...
Whiteboard:
Keywords:
Depends On: perl-UNIVERSAL-ref
Blocks: perl-Plack, plack
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:19 UTC by Chris Weyl
Modified: 2011-08-11 08:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-03 18:03:28 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:19:58 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Hash-MultiValue.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Hash-MultiValue-0.08-1.fc12.src.rpm

Description:
Hash::MultiValue is an object (and a plain hash reference) that may
contain multiple values per key.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2065391

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Iain Arnell 2010-04-03 04:44:01 UTC
+ source files match upstream.  
  d8e2ae6a0685d52641b3a5de20ae4116  Hash-MultiValue-0.08.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2092345

+ package installs properly.
+ rpmlint has acceptable complaints:
  perl-Hash-MultiValue-tests.noarch: W: no-documentation
  3 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ final provides and requires are sane:
  perl(Hash::MultiValue) = 0.08
  perl-Hash-MultiValue = 0.08-1.fc14
=
  perl >= 0:5.008_001
  perl(Carp)  
  perl(:MODULE_COMPAT_5.10.1)  
  perl(Scalar::Util)  
  perl(strict)  

+ %check is present and all tests pass.
  t/00_compile.t .. ok
  t/from_mixed.t .. ok
  t/hash.t ........ ok
  t/multi.t ....... ok
  t/ref.t ......... skipped: No UNIVERSAL::ref
  t/write.t ....... ok
  All tests successful.
  Files=6, Tests=42,  0 wallclock secs ( 0.02 usr  0.02 sys +  0.17 cusr  0.02 csys =  0.23 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


I don't see a review for perl-UNIVERSAL-ref yet - but I assume it's somewhere in the pipeline.

APPROVED.

Comment 2 Chris Weyl 2010-04-03 17:43:31 UTC
(In reply to comment #1)

> I don't see a review for perl-UNIVERSAL-ref yet - but I assume it's somewhere
> in the pipeline.

Gah, missed that somehow; it's up now.

Thanks! :)

Comment 3 Chris Weyl 2010-04-03 17:44:27 UTC
New Package CVS Request
=======================
Package Name: perl-Hash-MultiValue
Short Description: Store multiple values per key
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-04-03 17:46:33 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Chris Weyl 2010-04-03 18:03:28 UTC
Thanks for the review! :-)

Comment 6 Jose Pedro Oliveira 2011-08-10 22:50:25 UTC
Package Change Request
======================
Package Name: perl-Hash-MultiValue
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 7 Gwyn Ciesla 2011-08-11 08:18:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.